aboutsummaryrefslogtreecommitdiff
path: root/repo
diff options
context:
space:
mode:
authorMagomeYae <[email protected]>2021-12-02 16:05:32 +0800
committerMagomeYae <[email protected]>2021-12-02 16:22:43 +0800
commit31bbd71c21d166d8f3c82d8da4695681ee1e43bd (patch)
tree97ca3efc7a3e05e30ad1058889063b924c88851a /repo
parent520c429e5baaa7aad0212984294cc658862bd689 (diff)
feat(add-pkg): Add kunoisayami-init
* feat(del-pkg): Remove kunoisayami-ci-build-meta * feat(pkg): Upgrade zsh-ssr-theme Signed-off-by: MagomeYae <[email protected]>
Diffstat (limited to 'repo')
-rw-r--r--repo/.verified_repos3
-rw-r--r--repo/kunoisayami-ci-build-meta/PKGBUILD8
-rw-r--r--repo/kunoisayami-init/PKGBUILD12
-rw-r--r--repo/kunoisayami-init/kunoisayami-init.install28
-rw-r--r--repo/zsh-ssr-theme/PKGBUILD6
-rw-r--r--repo/zsh-ssr-theme/zsh-ssr-theme.install2
6 files changed, 46 insertions, 13 deletions
diff --git a/repo/.verified_repos b/repo/.verified_repos
index 7daaf63..9d73d1b 100644
--- a/repo/.verified_repos
+++ b/repo/.verified_repos
@@ -16,4 +16,5 @@ acme.sh-letsencrypt
vlc-luajit
konsole-dracula-git
ant-dracula-icon
-zsh-ssr-theme \ No newline at end of file
+zsh-ssr-theme
+google-chrome \ No newline at end of file
diff --git a/repo/kunoisayami-ci-build-meta/PKGBUILD b/repo/kunoisayami-ci-build-meta/PKGBUILD
deleted file mode 100644
index cfe6d90..0000000
--- a/repo/kunoisayami-ci-build-meta/PKGBUILD
+++ /dev/null
@@ -1,8 +0,0 @@
-# Maintainer: KunoiSayami <[email protected]>
-
-pkgname=kunoisayami-ci-build-meta
-pkgver=1
-pkgrel=1
-pkgdesc="This package provides kunoisayami gitlab ci build tools"
-arch=('any')
-depends=('git' 'gnupg' 'yay')
diff --git a/repo/kunoisayami-init/PKGBUILD b/repo/kunoisayami-init/PKGBUILD
new file mode 100644
index 0000000..da08db1
--- /dev/null
+++ b/repo/kunoisayami-init/PKGBUILD
@@ -0,0 +1,12 @@
+# Maintainer: KunoiSayami <[email protected]>
+
+pkgname=kunoisayami-init
+pkgver=0.0.2
+pkgrel=1
+pkgdesc="This package provides ssr's initialize vps script"
+arch=('x86_64')
+depends=('zsh-ssr-theme')
+optdepends=(
+ 'kunoisayami-meta: This package provides kunoisayami tools'
+)
+install=$pkgname.install
diff --git a/repo/kunoisayami-init/kunoisayami-init.install b/repo/kunoisayami-init/kunoisayami-init.install
new file mode 100644
index 0000000..a3e11c1
--- /dev/null
+++ b/repo/kunoisayami-init/kunoisayami-init.install
@@ -0,0 +1,28 @@
+# From: https://aur.archlinux.org/cgit/aur.git/tree/google-chrome.install?h=google-chrome
+# Colored makepkg-like functions
+
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
+all_off="$(tput sgr0)"
+bold="${all_off}$(tput bold)"
+blue="${bold}$(tput setaf 4)"
+yellow="${bold}$(tput setaf 3)"
+
+post_install() {
+ if [ ! -r /tmp/hostname ]; then
+ note "hostname file not found"
+ exit 1;
+ fi
+ echo "127.0.0.1 $(cat /tmp/hostname) localhost" >> /etc/hosts
+ echo "::1 $(cat /tmp/hostname) localhost" >> /etc/hosts
+ echo "127.0.0.1 $(cat /tmp/hostname).localdomain localhost.domain" >> /etc/hosts
+ echo "::1 $(cat /tmp/hostname).localdomain localhost.domain" >> /etc/hosts
+ sed -i 's/#en_GB.UTF-8/en_GB.UTF-8/g' /etc/locale.gen
+ locale-gen
+ echo "LANG=en_GB.UTF-8" > /etc/locale.conf
+ ln -s /usr/share/zoneinfo/Asia/Taipei /etc/localtime
+ systemctl enable --now systemd-timesyncd
+
+}
diff --git a/repo/zsh-ssr-theme/PKGBUILD b/repo/zsh-ssr-theme/PKGBUILD
index 11145f8..feb3f91 100644
--- a/repo/zsh-ssr-theme/PKGBUILD
+++ b/repo/zsh-ssr-theme/PKGBUILD
@@ -2,15 +2,15 @@
pkgname=zsh-ssr-theme
pkgver=0.0.1
-pkgrel=3
+pkgrel=4
pkgdesc="This package provides ssr's zsh theme"
arch=('any')
url=https://github.com/KunoiSayami/dotfiles/
source=(
- zshrc.zsh::https://raw.githubusercontent.com/KunoiSayami/dotfiles/4a8c1ae3b9bb07dff075ac369bf9f90d28861263/.zshrc
+ zshrc.zsh::https://raw.githubusercontent.com/KunoiSayami/dotfiles/f91e1967494703078a35bed834bc0a7f80d00664/.zshrc
https://gist.githubusercontent.com/KunoiSayami/6e4177ef13a4f8df0cbf3731b68e013c/raw/8ff98306c08ef9133f5125b5f9a8b67698a66a04/p10k.zsh)
sha512sums=(
- '0abc1a1b9e886a21e26c01df9f909b3e6fc7caf9b73713ca0d0547e8c37e8d665f5546f5049fa2e2d459675ae73d9362fbbed725318ad9c2851dbb7141472d4e'
+ 'cd92f1db1947f95c059baf2814c68e682eb2c113d6c2383bd9c2a40af3ee944e4bc658a7a18bcdc0ca17d9b6ad99455a909b59dca85565b138767175b52b06e9'
'bc3624198d6ac743588edfd17df553a87badb13c78014a47eb67c14a4e4010d32dc6981f5fbff33e60cc1efe13e5cbeca8cd4d8852adcf47090a5d14857ed45e')
makedepends=()
depends=('zsh' 'zsh-completions' 'zsh-autosuggestions' 'zsh-theme-powerlevel10k')
diff --git a/repo/zsh-ssr-theme/zsh-ssr-theme.install b/repo/zsh-ssr-theme/zsh-ssr-theme.install
index 33f9035..f6438d7 100644
--- a/repo/zsh-ssr-theme/zsh-ssr-theme.install
+++ b/repo/zsh-ssr-theme/zsh-ssr-theme.install
@@ -14,5 +14,5 @@ blue="${bold}$(tput setaf 4)"
yellow="${bold}$(tput setaf 3)"
post_install() {
- note "Run \`echo \"[ -r /etc/zsh/ssr/zshrc.zsh ] && source /etc/zsh/ssr/zshrc.zsh\" > ~/.zshrc\` to joy it"
+ note "Run \`echo \"[ -r /etc/zsh/ssr/zshrc.zsh ] && source /etc/zsh/ssr/zshrc.zsh\" > ~/.zshrc\` to enjoy it"
}